org.apache.sysds.runtime.instructions.spark.functions

## Class CopyBinaryCellFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.CopyBinaryCellFunction

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,MatrixCell>,MatrixIndexes,MatrixCell>

    public class CopyBinaryCellFunction
    extends Object
    implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,MatrixCell>,MatrixIndexes,MatrixCell>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CopyBinaryCellFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`scala.Tuple2<MatrixIndexes,MatrixCell>` `call(scala.Tuple2<MatrixIndexes,MatrixCell> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CopyBinaryCellFunction

    public CopyBinaryCellFunction()

### Method Detail

#### call

    public scala.Tuple2<MatrixIndexes,MatrixCell> call(scala.Tuple2<MatrixIndexes,MatrixCell> arg0)
                                                throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,MatrixCell>,MatrixIndexes,MatrixCell>`
Throws:
  `Exception`